<template>
  <div>
    <Modal :closable="false" :mask-closable="false" v-model="$store.state.modalshow" width="700">
      <h2 slot="header" class="tc">
        <Icon type="ios-information-circle"></Icon>
        <span>{{ $t('components.trainborard.detial') }}</span>
      </h2>
      <div v-for="(it , index) in train_detial" :key="index+'detial'" class="m-20">
        <h1 class="tc">
          <Icon type="md-train" />{{ $t('components.ticketmodal.start') }}
          <b>{{it.GeneralTimetable.GeneralTrainInfo.StartingStationName.Zh_tw}}</b>
          <Icon type="md-arrow-round-forward" />
          <Icon type="md-train" />{{ $t('components.ticketmodal.end') }}
          <b>{{it.GeneralTimetable.GeneralTrainInfo.EndingStationName.Zh_tw}}</b>
        </h1>
        <div class="fr">
          <img
            src="~/assets/img/serve-wheelchair.png"
            v-if="$store.getters.getmoddata.DailyTrainInfo.WheelchairFlag  == '1' "
          />
          <img
            src="~/assets/img/serve-business.png"
            v-if="$store.getters.getmoddata.DailyTrainInfo.PackageServiceFlag  == '1' "
          />
          <img
            src="~/assets/img/serve-lunchbox.png"
            v-if="$store.getters.getmoddata.DailyTrainInfo.DiningFlag  == '1' "
          />
          <img
            src="~/assets/img/serve-bicy.png"
            v-if="$store.getters.getmoddata.DailyTrainInfo.BikeFlag  == '1' "
          />
          <img
            src="~/assets/img/serve-nursingroom.png"
            v-if="$store.getters.getmoddata.DailyTrainInfo.BreastFeedingFlag == '1' "
          />
        </div>
      </div>
      <table width="100%">
        <thead>
          <tr>
            <th>{{ $t('components.trainborard.trainno') }}</th>
            <th>{{ $t('components.trainborard.gotime') }}</th>
            <th>{{ $t('components.trainborard.arrivetime') }}</th>
            <th>{{ $t('components.trainborard.direction') }}</th>
            <th>{{ $t('components.trainborard.pass') }}</th>
            <th width="20%">{{ $t('components.trainborard.note') }}</th>
          </tr>
        </thead>
        <tbody>
          <tr class="tc" v-if="$store.getters.getmoddata !=''">
            <td>
              ( {{$store.getters.getmoddata.DailyTrainInfo.TrainNo}} ) -
              <font
                v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '7' "
              >普快</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '6' ">{{ $t('components.trainborard.Shuttlebus') }}</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '10' ">{{ $t('components.trainborard.Shuttlebusfast') }}</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '5' ">{{ $t('components.trainborard.normalfast') }}</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '4' ">{{ $t('components.trainborard.ChuKuang') }}</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '3' ">{{ $t('components.trainborard.TzeChiang') }}</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '2' ">{{ $t('components.trainborard.Puoma') }}</font>
              <font v-if="$store.getters.getmoddata.DailyTrainInfo.TrainTypeCode === '1' ">{{ $t('components.trainborard.TarokoExpress') }}</font>
            </td>
            <td>{{$store.getters.getmoddata.OriginStopTime.StationName.Zh_tw}}-{{$store.getters.getmoddata.OriginStopTime.DepartureTime}}</td>
            <td>{{$store.getters.getmoddata.DestinationStopTime.StationName.Zh_tw}}-{{$store.getters.getmoddata.DestinationStopTime.ArrivalTime}}</td>
            <td v-if="$store.getters.getmoddata.DailyTrainInfo.Direction == 0">{{ $t('components.trainnote.south') }}</td>
            <td v-if="$store.getters.getmoddata.DailyTrainInfo.Direction == 1">{{ $t('components.trainnote.north') }}</td>
            <td v-if="$store.getters.getmoddata.DailyTrainInfo.TripLine === 0">{{ $t('components.trainborard.nospan') }}</td>
            <td v-if="$store.getters.getmoddata.DailyTrainInfo.TripLine === 1">{{ $t('components.trainborard.spanmountain') }}</td>
            <td v-if="$store.getters.getmoddata.DailyTrainInfo.TripLine === 2">{{ $t('components.trainborard.spanmsea') }}</td>
            <td>{{$store.getters.getmoddata.DailyTrainInfo.Note.Zh_tw}}</td>
          </tr>
          <tr v-if="$store.getters.getmoddata =='' " class="tc" colspan="10">{{ $t('trainborard.fun_train_time_board_Message_2') }}</tr>
        </tbody>
      </table>
      <div slot="footer">
        <Button type="primary" @click="togglemodalshow();">{{ $t('index.close') }}</Button>
      </div>
    </Modal>
  </div>
</template>

<script>
import { mapMutations } from "vuex";
export default {
  data() {
    return {
      train_detial: []
    };
  },
  created() {},
  watch: {
    "$store.getters.getmoddata.DailyTrainInfo.TrainNo"(val) {
      this.gettraindata(val);
    }
  },
  methods: {
    ...mapMutations({
      togglemodalshow: "togglemodalshow",
      togglemodaldata: "togglemodaldata"
    }),
    async gettraindata(traninno) {
      const train_detial = await this.$axios.$get(
        `GeneralTimetable/TrainNo/${traninno}?$top=1&$format=JSON`
      );
      this.train_detial = train_detial;
    }
  }
};
</script>